.contact-page {

    padding: 80px 0 120px;
    padding-top: 20px;
}


.contact-page__intro {
    max-width: 900px;
    margin: 0 auto 70px;
    text-align: center;
}

.contact-page__eyebrow {
    display: block;
    margin-bottom: 18px;

    font-size: 12px;
    line-height: 1;
    letter-spacing: .14em;
    text-transform: uppercase;

    opacity: .5;
}

.contact-page__intro h2 {
    margin: 0 0 20px;
    line-height: 1;
    font-weight: 500;
    letter-spacing: -.04em;
}

.contact-page__intro p {
    max-width: 600px;
    margin: 0 auto 30px;

    font-size: 17px;
    line-height: 1.7;
}

.contact-page__store-info {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 8px 25px;

    font-size: 14px;
}


/* MAP */

.contact-page__map {
    width: 100%;
    overflow: hidden;
    margin-bottom: 70px;
}

.contact-page__map iframe {
    display: block;

    width: 100%;
    height: 300px;

    border: 0;
}


/* BOTTOM */

.contact-page__bottom {
    display: grid;
    grid-template-columns: 1fr 1fr;

    gap: 100px;
}


/* HEADINGS */

.contact-page__bottom h2 {
    margin: 0 0 35px;

    font-size: clamp(30px, 3vw, 44px);
    line-height: 1.1;
    font-weight: 500;
    letter-spacing: -.03em;
}

.contact-page__form > p {
    max-width: 450px;

    margin: -15px 0 40px;

    font-size: 16px;
    line-height: 1.7;
}


/* DETAILS */

.contact-detail {
    display: flex;
    flex-direction: column;

    padding: 20px 0;

    border-top: 1px solid rgba(0,0,0,.12);
}

.contact-detail:last-of-type {
    border-bottom: 1px solid rgba(0,0,0,.12);
}

.contact-detail strong {
    margin-bottom: 7px;

    font-size: 13px;
    font-weight: 500;

    text-transform: uppercase;
    letter-spacing: .08em;
}

.contact-detail span,
.contact-detail a {
    font-size: 15px;
    line-height: 1.7;
}

.contact-detail a {
    color: inherit;
    text-decoration: none;
}

.contact-detail a:hover {
    text-decoration: underline;
}

.contact-detail small {
    opacity: .5;
}


/* NOTE */

.contact-page__note {
    margin-top: 25px;

    font-size: 13px;
    line-height: 1.6;

    opacity: .55;
}


/* FORM */

.contact-page__form {
    padding-left: 20px;
}

.contact-page__form-inner {
    margin-top: 20px;
}


/* MOBILE */

@media (max-width: 800px) {

    .contact-page {
        padding: 50px 0 70px;
    }

    .contact-page__intro {
        margin-bottom: 45px;
    }

    .contact-page__intro h1 {
        font-size: 38px;
    }

    .contact-page__intro p {
        font-size: 15px;
    }

    .contact-page__store-info {
        flex-direction: column;
        gap: 8px;
    }

    .contact-page__map {
        aspect-ratio: 1.2 / 1;
        margin-bottom: 60px;
    }

    .contact-page__bottom {
        grid-template-columns: 1fr;
        gap: 70px;
    }

    .contact-page__form {
        padding-left: 0;
    }

    .contact-page__bottom h2 {
        font-size: 32px;
    }

}